<?xml version='1.0'?>

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:csc="http://www.csclub.uwaterloo.ca/cow" 
    extension-element-prefixes="csc">

<xsl:template match="directory">
  <xsl:variable name="href">
    <xsl:choose>
      <xsl:when test="@href != ''"><xsl:value-of select="@href"/></xsl:when>
      <xsl:otherwise>index.html</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <a class="diritem headdir" href="{$href}">
    <xsl:value-of select="@title" />
  </a>
  <xsl:apply-templates match="diritem" />
</xsl:template>

<xsl:template match="diritem">
  <a class="diritem" href="{@href}">
    <xsl:value-of select="@title" />
  </a>
</xsl:template>

</xsl:stylesheet>
